#ifndef _SQUARELINE_STEELDISPLAY_UI_H
#define _SQUARELINE_STEELDISPLAY_UI_H

#ifdef __cplusplus
extern "C" {
#endif

#include "lvgl.h"

#include "ui_helpers.h"
#include "ui_events.h"

typedef struct  {
int xval;
int yval;
int x;
int y;
float Slider1;
float Slider2;
int Value_SelectC;
int Value_SelectCsharp;
int Value_SelectA;
int Value_SelectB;  
int Value_SelectBb;
int Value_SelectD;
int Value_SelectFb;
int Value_SelectE;
int Value_SelectFsharp;
int Value_SelectG;
int Slider_LUP;  
int Slider_LL; 
int Slider_LR;
int Slider_RR; 
int Slider_RL;
int Value_AutoAdjust;
int Value_StringUP;
int Value_StringDOWN;
int Value_String1;
int Value_String2;
int Value_String3;  
int Value_String4;
int Value_String5;
int Value_String6;
int Value_String7;
int Value_String8;
int Value_String9;
int Value_String10;
int Value_String11;
int Value_String12;
} struct_message;

// Create structured data object
extern struct_message myData1;

// SCREEN: ui_Screen1
void ui_Screen1_screen_init(void);
extern lv_obj_t * ui_Screen1;
void ui_event_MAININD1(lv_event_t * e);
extern lv_obj_t * ui_MAININD1;
extern lv_obj_t * ui_Min3;
void ui_event_PHONESIND(lv_event_t * e);
extern lv_obj_t * ui_PHONESIND;
void ui_event_Image1(lv_event_t * e);
extern lv_obj_t * ui_Image1;
extern lv_obj_t * ui_Label3;
void ui_event_Image3(lv_event_t * e);
extern lv_obj_t * ui_Image3;
extern lv_obj_t * ui_Label5;
void ui_event_Image4(lv_event_t * e);
extern lv_obj_t * ui_Image4;
extern lv_obj_t * ui_Label6;
void ui_event_Image9(lv_event_t * e);
extern lv_obj_t * ui_Image9;
extern lv_obj_t * ui_Label7;
extern lv_obj_t * ui_Slider_group_left2;
extern lv_obj_t * ui_Max1;
extern lv_obj_t * ui_Min1;
void ui_event_Slider2(lv_event_t * e);
extern lv_obj_t * ui_Slider2;
extern lv_obj_t * ui_Slider_group_left1;
extern lv_obj_t * ui_Max2;
extern lv_obj_t * ui_Min2;
void ui_event_Slider1(lv_event_t * e);
extern lv_obj_t * ui_Slider1;
void ui_event_BTN_25(lv_event_t * e);
extern lv_obj_t * ui_BTN_25;
extern lv_obj_t * ui_Label_Cut_18;
extern lv_obj_t * ui_Label8;
extern lv_obj_t * ui_INFO2;
extern lv_obj_t * ui_CLOCK2;
extern lv_obj_t * ui_DOT2;
void ui_event_Temperature2(lv_event_t * e);
extern lv_obj_t * ui_Temperature2;
extern lv_obj_t * ui_Label1;
// SCREEN: ui_Screen2
void ui_Screen2_screen_init(void);
extern lv_obj_t * ui_Screen2;
void ui_event_Image6(lv_event_t * e);
extern lv_obj_t * ui_Image6;
void ui_event_BTN_7(lv_event_t * e);
extern lv_obj_t * ui_BTN_7;
extern lv_obj_t * ui_Label_Cut_1;
void ui_event_BTN_UP(lv_event_t * e);
extern lv_obj_t * ui_BTN_UP;
extern lv_obj_t * ui_Label_Cut_2;
void ui_event_BTN_1(lv_event_t * e);
extern lv_obj_t * ui_BTN_1;
extern lv_obj_t * ui_Label_Cut_3;
void ui_event_BTN_DOWN(lv_event_t * e);
extern lv_obj_t * ui_BTN_DOWN;
extern lv_obj_t * ui_Label_Cut_5;
extern lv_obj_t * ui_Temp_Num_Bg3;
extern lv_obj_t * ui_Label_Celsius3;
void ui_event_Frequency(lv_event_t * e);
extern lv_obj_t * ui_Frequency;
void ui_event_BTN_2(lv_event_t * e);
extern lv_obj_t * ui_BTN_2;
extern lv_obj_t * ui_Label_Cut_6;
void ui_event_BTN_3(lv_event_t * e);
extern lv_obj_t * ui_BTN_3;
extern lv_obj_t * ui_Label_Cut_7;
void ui_event_BTN_4(lv_event_t * e);
extern lv_obj_t * ui_BTN_4;
extern lv_obj_t * ui_Label_Cut_8;
void ui_event_BTN_5(lv_event_t * e);
extern lv_obj_t * ui_BTN_5;
extern lv_obj_t * ui_Label_Cut_9;
void ui_event_BTN_6(lv_event_t * e);
extern lv_obj_t * ui_BTN_6;
extern lv_obj_t * ui_Label_Cut_10;
void ui_event_BTN_8(lv_event_t * e);
extern lv_obj_t * ui_BTN_8;
extern lv_obj_t * ui_Label_Cut_4;
void ui_event_BTN_9(lv_event_t * e);
extern lv_obj_t * ui_BTN_9;
extern lv_obj_t * ui_Label_Cut_11;
void ui_event_BTN_10(lv_event_t * e);
extern lv_obj_t * ui_BTN_10;
extern lv_obj_t * ui_Label_Cut_12;
void ui_event_BTN_11(lv_event_t * e);
extern lv_obj_t * ui_BTN_11;
extern lv_obj_t * ui_Label_Cut_13;
void ui_event_BTN_12(lv_event_t * e);
extern lv_obj_t * ui_BTN_12;
extern lv_obj_t * ui_Label_Cut_14;
// SCREEN: ui_Screen3
void ui_Screen3_screen_init(void);
extern lv_obj_t * ui_Screen3;
void ui_event_Image2(lv_event_t * e);
extern lv_obj_t * ui_Image2;
void ui_event_BTN_14(lv_event_t * e);
extern lv_obj_t * ui_BTN_14;
extern lv_obj_t * ui_Temp_Num_Bg2;
extern lv_obj_t * ui_Label_Celsius1;
void ui_event_Frequency1(lv_event_t * e);
extern lv_obj_t * ui_Frequency1;
void ui_event_AudioWave(lv_event_t * e);
extern lv_obj_t * ui_AudioWave;
void ui_event_AutoAdjust12Strings(lv_event_t * e);
extern lv_obj_t * ui_AutoAdjust12Strings;
extern lv_obj_t * ui_TextArea1;
extern lv_obj_t * ui_TextArea2;
// SCREEN: ui_Screen4
void ui_Screen4_screen_init(void);
extern lv_obj_t * ui_Screen4;
void ui_event_Image5(lv_event_t * e);
extern lv_obj_t * ui_Image5;
extern lv_obj_t * ui_Temp_Num_Bg4;
extern lv_obj_t * ui_Label_Celsius2;
void ui_event_Frequency2(lv_event_t * e);
extern lv_obj_t * ui_Frequency2;
extern lv_obj_t * ui_Footer2;
void ui_event_Slider_LUP(lv_event_t * e);
extern lv_obj_t * ui_Slider_LUP;
extern lv_obj_t * ui_A2;
extern lv_obj_t * ui_Footer1;
void ui_event_Slider_RR(lv_event_t * e);
extern lv_obj_t * ui_Slider_RR;
extern lv_obj_t * ui_A1;
extern lv_obj_t * ui_Footer3;
void ui_event_Slider_RL(lv_event_t * e);
extern lv_obj_t * ui_Slider_RL;
extern lv_obj_t * ui_A3;
extern lv_obj_t * ui_Footer4;
void ui_event_Slider_LR(lv_event_t * e);
extern lv_obj_t * ui_Slider_LR;
extern lv_obj_t * ui_A4;
extern lv_obj_t * ui_Footer5;
void ui_event_Slider_LL(lv_event_t * e);
extern lv_obj_t * ui_Slider_LL;
extern lv_obj_t * ui_A5;
// SCREEN: ui_Screen5
void ui_Screen5_screen_init(void);
extern lv_obj_t * ui_Screen5;
void ui_event_Image7(lv_event_t * e);
extern lv_obj_t * ui_Image7;
void ui_event_BTN_13(lv_event_t * e);
extern lv_obj_t * ui_BTN_13;
extern lv_obj_t * ui_Label_Cut_15;
void ui_event_BTN_15(lv_event_t * e);
extern lv_obj_t * ui_BTN_15;
extern lv_obj_t * ui_Label_Cut_17;
void ui_event_BTN_16(lv_event_t * e);
extern lv_obj_t * ui_BTN_16;
extern lv_obj_t * ui_Label_Cut_19;
void ui_event_BTN_17(lv_event_t * e);
extern lv_obj_t * ui_BTN_17;
extern lv_obj_t * ui_Label_Cut_20;
void ui_event_BTN_18(lv_event_t * e);
extern lv_obj_t * ui_BTN_18;
extern lv_obj_t * ui_Label_Cut_21;
void ui_event_BTN_19(lv_event_t * e);
extern lv_obj_t * ui_BTN_19;
extern lv_obj_t * ui_Label_Cut_22;
void ui_event_BTN_21(lv_event_t * e);
extern lv_obj_t * ui_BTN_21;
extern lv_obj_t * ui_Label_Cut_24;
void ui_event_BTN_22(lv_event_t * e);
extern lv_obj_t * ui_BTN_22;
extern lv_obj_t * ui_Label_Cut_25;
void ui_event_BTN_23(lv_event_t * e);
extern lv_obj_t * ui_BTN_23;
extern lv_obj_t * ui_Label_Cut_26;
void ui_event_BTN_24(lv_event_t * e);
extern lv_obj_t * ui_BTN_24;
extern lv_obj_t * ui_Label_Cut_27;
extern lv_obj_t * ui____initial_actions0;


LV_IMG_DECLARE(ui_img_indicator_ver_png);    // assets/indicator_ver.png
LV_IMG_DECLARE(ui_img_btn_1_act_png);    // assets/btn_1_act.png
LV_IMG_DECLARE(ui_img_pot_ver_line_png);    // assets/pot_ver_line.png
LV_IMG_DECLARE(ui_img_pot_ver_knob_png);    // assets/pot_ver_knob.png
LV_IMG_DECLARE(ui_img_btn_1_inact_png);    // assets/btn_1_inact.png
LV_IMG_DECLARE(ui_img_btn_play_act_png);    // assets/btn_play_act.png
LV_IMG_DECLARE(ui_img_audio_wave_1_png);    // assets/audio_wave_1.png
LV_IMG_DECLARE(ui_img_pot_hor_line_png);    // assets/pot_hor_line.png
LV_IMG_DECLARE(ui_img_pot_hor_knob_png);    // assets/pot_hor_knob.png






void ui_init(void);

#ifdef __cplusplus
} /*extern "C"*/
#endif

#endif
